<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-sequence.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'ru',
  ),
  'this' => 
  array (
    0 => 'ds-sequence.sort.php',
    1 => 'Ds\\Sequence::sort',
  ),
  'up' => 
  array (
    0 => 'class.ds-sequence.php',
    1 => 'Ds\\Sequence',
  ),
  'prev' => 
  array (
    0 => 'ds-sequence.slice.php',
    1 => 'Ds\\Sequence::slice',
  ),
  'next' => 
  array (
    0 => 'ds-sequence.sorted.php',
    1 => 'Ds\\Sequence::sorted',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'ru',
    'path' => 'reference/ds/ds/sequence/sort.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-sequence.sort" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Sequence::sort</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Sequence::sort</span> &mdash; <span class="dc-title">
   Сортирует коллекцию
  </span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-sequence.sort-description">
  <h3 class="title">Описание</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">abstract</span> <span class="modifier">public</span> <span class="methodname"><strong>Ds\Sequence::sort</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$comparator</code><span class="initializer"> = ?</span></span>): <span class="type"><a href="language.types.void.php" class="type void">void</a></span></div>

  <p class="para rdfs-comment">
   Сортирует коллекцию, опционально используя callback-функцию
   <code class="parameter">comparator</code>.
  </p>

 </div>


 <div class="refsect1 parameters" id="refsect1-ds-sequence.sort-parameters">
  <h3 class="title">Список параметров</h3>
  <dl>
   
    <dt><code class="parameter">comparator</code></dt>
    <dd>
     <p class="para">
 Функция сравнения должна возвращать целое, которое меньше,
равно или больше нуля, если первый аргумент является соответственно меньшим, равным или большим, чем второй.
</p>
<div class="methodsynopsis dc-description"><span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$a</code></span>, <span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$b</code></span>): <span class="type"><a href="language.types.integer.php" class="type int">int</a></span></div>

<div class="caution"><strong class="caution">Предостережение</strong>
 <p class="para">
  Возвращение <em>нецелых</em> значений из функции сравнения,
  таких как число с плавающей точкой (<span class="type"><a href="language.types.float.php" class="type float">float</a></span>), приведёт к внутреннему
  приведению возвращаемого значения callback-функции к целому числу (<span class="type"><a href="language.types.integer.php" class="type int">int</a></span>).
  Таким образом, значения <code class="literal">0.99</code> и <code class="literal">0.1</code> будут
  приведены к целочисленному значению <code class="literal">0</code>,
  что позволит сравнить эти значения как равные.
 </p>
</div>
    </dd>
   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-sequence.sort-returnvalues">
  <h3 class="title">Возвращаемые значения</h3>
  <p class="para">
   Функция не возвращает значения после выполнения.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-sequence.sort-examples">
  <h3 class="title">Примеры</h3>
  <div class="example" id="example-4157">
   <p><strong>Пример #1 Пример использования <span class="function"><strong>Ds\Sequence::sort()</strong></span></strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$sequence </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Vector</span><span style="color: #007700">([</span><span style="color: #0000BB">4</span><span style="color: #007700">, </span><span style="color: #0000BB">5</span><span style="color: #007700">, </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">$sequence</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sort</span><span style="color: #007700">();<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$sequence</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   
<div class="example-contents"><p>
 Вывод приведённого примера будет похож на:
</p></div>

   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Vector Object
(
    [0] =&gt; 1
    [1] =&gt; 2
    [2] =&gt; 3
    [3] =&gt; 4
    [4] =&gt; 5
)</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-4158">
   <p><strong>Пример #2 Пример использования <span class="function"><strong>Ds\Sequence::sort()</strong></span> с callback-функцией сравнения</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$sequence </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Vector</span><span style="color: #007700">([</span><span style="color: #0000BB">4</span><span style="color: #007700">, </span><span style="color: #0000BB">5</span><span style="color: #007700">, </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">$sequence</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sort</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$a</span><span style="color: #007700">, </span><span style="color: #0000BB">$b</span><span style="color: #007700">) {<br />    return </span><span style="color: #0000BB">$b </span><span style="color: #007700">&lt;=&gt; </span><span style="color: #0000BB">$a</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$sequence</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   
<div class="example-contents"><p>
 Вывод приведённого примера будет похож на:
</p></div>

   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Vector Object
(
    [0] =&gt; 5
    [1] =&gt; 4
    [2] =&gt; 3
    [3] =&gt; 2
    [4] =&gt; 1
)</pre>
</div>
   </div>
  </div>

 </div>



</div><?php manual_footer($setup); ?>